Subject: Re: [kitten] WGLC on draft-ietf-kitten-gssapi-naming-exts-11

From: Leif Johansson <[email-masked]>
Date: Fri, 29 Jul 2011 00:01:56 +0200

OK lets see if I can summarize the proposals that have  been floating
around in this thread:

1 change the signature for set_attribute
2 add a new method set_attribute_critical
3 clarify the semantics of set_attribute to always require that the
attribute be "known"

My personal preference is 3,2,1 in that order. My gut feeling is that
an implementation should not allow setting of attributes it doesn't
have some "knowledge of" but maybe I just haven't thought about the
ramifications enough.

	Cheers Leif